Eclipse Platform Release 3.7

## org.eclipse.help
Interface ITocContribution

    public interface ITocContribution

Represents either a complete or partial table of contents, as well as its metadata.

Since:
  3.3

Method Summary
`String` `getCategoryId()` Returns the contribution's category id.
`String` `getContributorId()` Returns the symbolic name of the bundle that made this contribution, e.g.
`String[]` `getExtraDocuments()` Returns the hrefs for any additional documents that are not in this TOC but are associated with it, and should be indexed for searching.
`String` `getId()` Returns a unique identifier for this contribution.
`String` `getLinkTo()` Returns the path to the anchor in another toc into which this one should be linked into.
`String` `getLocale()` Returns the locale for this contribution.
`IToc` `getToc()` Returns the table of contents data for this contribution.
`boolean` `isPrimary()` Returns whether or not this is a top-level contribution (a book).

Method Detail

### getCategoryId

    String getCategoryId()

  Returns the contribution's category id. Contributions with the same category id will be grouped together.

  Returns:
    the contribution's category id.

### getContributorId

    String getContributorId()

  Returns the symbolic name of the bundle that made this contribution, e.g. "org.eclipse.help"

  Returns:
    the contributor id, e.g. "org.eclipse.help"

### getExtraDocuments

    String[] getExtraDocuments()

  Returns the hrefs for any additional documents that are not in this TOC but are associated with it, and should be indexed for searching.

  Returns:
    any extra documents associated with the TOC

### getId

    String getId()

  Returns a unique identifier for this contribution.

  Returns:
    the contribution's unique identifier

### getLocale

    String getLocale()

  Returns the locale for this contribution.

  Returns:
    the contribution's locale

### getLinkTo

    String getLinkTo()

  Returns the path to the anchor in another toc into which this one should be linked into.

  Returns:
    the link-to path

### getToc

    IToc getToc()

  Returns the table of contents data for this contribution.

  Returns:
    the toc data for this contribution

### isPrimary

    boolean isPrimary()

  Returns whether or not this is a top-level contribution (a book).

  Returns:
    whether the contribution is top-level book

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.